OUTPUT_FORMAT("elf32-i386")
ENTRY(entry)
phys = 0x800000;

SECTIONS
{
    .text phys + 0x1000 : AT (phys)
    {
	code = .; _code = .; __code = .;
	*(.text)
	. = ALIGN(64);
    }
    .data : AT(phys + (data - code))
    {
	data = .; _data = .; __data = .;
	*(.data)
	. = ALIGN(64);
    }
    .rodata : AT(phys + (rodata - code))
    {
	rodata = .; _rodata = .; __rodata = .;
	*(.rodata)
	*(.rodata.*)
	. = ALIGN(64);
    }
    .bss : AT(phys + (bss - code))
    {
	bss = .; _bss = .; __bss = .;
	*(.bss)
	*(COMMON)
	. = ALIGN(64);
    }
    .comment : AT(phys + (comment - code))
    {
	comment = .; _comment = .; __comment = .;
	*(.comment)
	*(.comment.*)
	. = ALIGN(64);
    }
    .shstrtab : AT(phys + (shstrtab - code))
    {
	shstrtab = .; _shstrtab = .; __shstrtab = .;
	*(.shstrtab)
	*(.shstrtab.*)
	. = ALIGN(64);
    }
    end = .; _end = .;
}
